Search Call Log by ID
Endpoint used to search call log details by ID.
Request Example
Section titled “Request Example”curl --request GET \ --url https://chat.api.toolzz.com.br/api/v1/voice/call-logs/id/{callId} \ --header 'Authorization: Bearer TOKEN_HERE'Response Example
Section titled “Response Example”{ "message": "<string>", "id": "<string>", "callId": "<string>", "callName": "<string>", "unityId": "<string>", "successEvaluation": true, "botId": "<string>", "audioFileUrl": "<string>", "agentRecordingUrl": "<string>", "userRecordingUrl": "<string>", "endCallType": "<string>", "callType": "<string>", "dateFormatted": "<string>", "costBreakdown": { "currency": "<string>", "fxRateUsdBrl": 123, "llmCompletionTokens": 123, "llmCost": 123, "llmPromptCachedTokens": 123, "llmPromptTokens": 123, "pricingVersion": "<string>", "sttAudioDurationMs": 123, "sttCost": 123, "total": 123, "totalCost": 123, "ttsCharactersCount": 123, "ttsCost": 123 }, "duration": 123, "phone": "<string>", "callDate": "<string>", "dataStructure": {}, "durationFormatted": "<string>", "transcription": [ { "content": "<string>", "createdAt": 123, "id": "<string>", "interrupted": true, "role": "<string>", "type": "<string>" } ], "metadata": { "bot": { "id": "<string>", "name": "<string>" }, "callTime": "<string>", "environment": "<string>", "institution": { "id": "<string>" }, "unit": { "id": "<string>", "name": "<string>" } }, "callTime": "<string>", "totalCost": 123, "summary": "<string>", "createdAt": "<string>", "updatedAt": "<string>"}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters
Section titled “URL Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
callId | UUID | Call identifier. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
callId | String | Unique call identifier. |
callName | String | Identification name of the interaction (e.g., Agent Name or Project). |
successEvaluation | Boolean | Indicates if the call was evaluated as successful. |
durationFormatted | String | Total duration of the call in HH:MM:SS format. |
totalCost | Number | Consolidated total financial cost of the interaction. |
endCallType | String | Reason for termination (e.g., CONVERTED, NO_ANSWER, ENDED). |
audioFileUrl | URL | Link to the mixed audio of the complete conversation. |
agentRecordingUrl | URL | Link to the exclusive recording of the Agent channel. |
userRecordingUrl | URL | Link to the exclusive recording of the User channel. |
costBreakdown.llmCost | Number | Total cost of intelligence processing (LLM). |
costBreakdown.sttCost | Number | Cost of voice-to-text transcription service (Speech-to-Text). |
costBreakdown.ttsCost | Number | Cost of text-to-voice synthesis service (Text-to-Speech). |
costBreakdown.llmPromptTokens | Number | Total tokens sent in the context (Prompt). |
costBreakdown.ttsCharactersCount | Number | Total characters converted to voice by the Agent. |
transcription[].role | String | Speaker role in the conversation turn (user or assistant). |
transcription[].content | String | Textual content of the speech (transcribed or generated). |
transcription[].interrupted | Boolean | Indicates if there was an interruption during this interlocutor’s speech. |
metadata.bot.name | String | Name of the Agent that performed the service. |
metadata.unit.name | String | Name of the organizational unit linked to the call. |
metadata.callTime | String | Exact local time of the start of the call. |
metadata.environment | String | Execution environment where the log was generated (prod or dev). |
summary | String | Executive summary of the conversation generated by IA (can be null). |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
